# -*- coding: utf-8 -*-

import codecs
import googlemaps
import re
import scrapy

API_key= 'AIzaSyCVMO84F5-qadD3-5qAha1AOt65M-vERUo'
gmaps = googlemaps.Client(key=API_key)
# Usage: place = gmaps.geocode('[ADDRESS GOES HERE]')

class DouradosNewsSpider(scrapy.Spider):
    name = "douradosnews"

    allowed_domains = ["douradosnews.com.br"]
    start_urls = ["http://www.douradosnews.com.br"]
    download_delay = 2

    re_news_link = re.compile("http:\/\/www.douradosnews.com.br\/(noticias|policia|dourados)\/(?:(?!ultimas-noticias|cultura-lazer|politica|brasil|cidades|economia|internacional|ligado-na-redacao|esportes|(dourados|policia)\?))[\w-]+\/[\d]+\/")
    re_next = re.compile("http:\/\/www.douradosnews.com.br\/(noticias|policia|dourados)?\/?(ultimas\-noticias\/)?((\?p=)+[0-9]?[0-9]?)?")
    re_address = r"([Cc]ruzamento (da |entre a |das ))?([Rr]ua(s)?|^[Rr]\.?|Tr\.|[Tt]\.|[Tt]ravessa|^[Aa]v\.?|Avenida) [A-Z]\w{0,}([A-Za-uà-ú]?(( (com |e ) [A-Z]\w+|( e a| com a )?| de| da)?(( [A-Z]\w+)?){1,}){1,}){1,}( com a (Rua|R\.?|Tr\.|T\.|Travessa|Av\.|Avenida|) [A-Z]\w{0,}([A-Za-uà-ú]?(( e| de| da)?(( [A-Z]\w+)?){1,}){1,}){1,})?"

    causes = [u'acidente', u'assassinado', u'assassino', u'atirar', u'atropela', u'atropelo', u'batida', u'bateu', u'capotar',
              u'capotou', u'esfaqueado', u'esfaquear', u'estrangulada', u'estrangulado', u'estrangulamento', u'estrangular',
              u'estrangulou', u'estupra', u'estupro', u'facada', u'furta', u'furto', u'matar', u'matou', u'morre', u'morte',
              u'roubo', u'tiro'
            # TODO
            # .
            # .
            # .
            ]

    file_bairros = codecs.open('bairros_dourados.txt', 'r+', encoding='utf-8')
    bairros = file_bairros.readlines()
    file_bairros.close()

    def request_page(self, response):
        anchors = response.xpath('//a/@href').extract()

        for link in anchors:
            current_link = response.urljoin(link)

            print current_link

            if self.re_next.match(current_link) or self.re_news_link.match(current_link):
                yield scrapy.Request(current_link, callback=parse)

    def parse(self, response):
        print response, type(response)