#!/usr/bin/python

import json
import sys

from urllib2 import urlopen


sites = {}
exists = False
try:
    with open("sites.json", "r") as read_file:
        sites = json.load(read_file)
        exists = True
        print "File opened!"
except Exception:
    print "Nothing!"


with open("sites.json", "w") as output_file:
    if len(sys.argv) > 1:
        if not exists:
            print "Creating sites.json file!"
        else:
            print "Trying to insert url[s]!"

        for arg in sys.argv[1:]:
            try:
                code = urlopen("http://"+arg).code
                if code:
                    sites[arg] = "http://"+arg
            except:
                print "Page do not exists: ", arg

        if len(sites) > 0:
            json.dump(sites, output_file, indent=4)
            print "Url[s] added with sucess!"
        else:
            print "File created, but nothing to be added!"
    else:
        print "Usage: python insert_new_site.py [site_name] ..."
